package twitter;

import java.util.ArrayList;

import net.jini.space.JavaSpace;

 

public class ReadMessage {

 

    public static void main(String[] args) {

        try {

            System.out.println("Procurando pelo servi�o JavaSpace...");

            Lookup finder = new Lookup(JavaSpace.class);

            JavaSpace space = (JavaSpace) finder.getService();

            if (space == null) {

                    System.out.println("Servi�o JavaSpace n�o encontrado. Encerrando...");

                    System.exit(-1);

            } 

            System.out.println("O servi�o JavaSpace foi encontrado.");

 
            boolean verdadeiro = true;
            ArrayList<Message2> messages = new ArrayList<Message2>();
            while (verdadeiro) {
            	
                Message2 template = new Message2();
//                template.author = ";
                
                Message2 msg = (Message2) space.take(template, null, 10 * 1000);
                
                if (msg == null) {
                	verdadeiro = false;
                } else {
                	messages.add(msg);
                	System.out.println("Mensagem recebida: " + msg.content);
                }
            }
            
            System.out.println("Escrevendo mensagens");
            for (Message2 m : messages) 
            	space.write(m, null, 60 * 1000);
            
        } catch (Exception e) {

            e.printStackTrace();

        }

    }

}